| Home | Libraries | People | FAQ | More

## Struct rbtree_erase_fixup

boost::intrusive::rbtree_algorithms::rbtree_erase_fixup

## Synopsis

    // In header: <boost/intrusive/rbtree_algorithms.hpp>

    struct rbtree_erase_fixup {

      // public member functions
      void operator()(node_ptr, node_ptr);
    };

## Description

### `rbtree_erase_fixup` public member functions

1.     void operator()(node_ptr to_erase, node_ptr successor);